package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(sys_im_complaint):
 */
public class SysImComplaint extends BaseEntity {

	/**  */
	private Long id;
	
	/** 投诉对象类型 GROUP,PERSON*/
	private String type;
	
	/** 图片凭证 */
	private String url;
	
	/** 描述 */
	private String memo;
	
	/** 投诉人 */
	private Integer userId;
	
	/** 目标id */
	private Long targetId;
	
	/** 处理人 */
	private Long operator;
	
	/** 处理时间 */
	private java.util.Date operatorTime;
	
	/** 处理状态0待处理，1已处理 */
	private Integer status;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setTargetId(Long targetId){
		this.targetId = targetId;
	}
	
	public Long getTargetId(){
		return this.targetId;
	}
			
	public void setOperator(Long operator){
		this.operator = operator;
	}
	
	public Long getOperator(){
		return this.operator;
	}
			
	public void setOperatorTime(java.util.Date operatorTime){
		this.operatorTime = operatorTime;
	}
	
	public java.util.Date getOperatorTime(){
		return this.operatorTime;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
